version: "3.9"
services:
  web:
    build: .
    ports:
      - "5000:5000"
    networks:
      - cow-api-network
    environment:
      VAULT_ADDR: "${VAULT_ADDR}"
      VAULT_TOKEN: "${VAULT_TOKEN}"
      COW_API_ENV: "${COW_API_ENV}"
  database:
    image: "postgres:latest"
    restart: always
    networks:
      - cow-api-network
    environment:
      POSTGRES_PASSWORD: "${COW_API_DB_PASSWORD}"
      POSTGRES_DB: cow

networks:
  cow-api-network:
    name: "${COW_API_NETWORK}"